/*
	-------------------- file io.c

	Copyright (C) 1992 Andrew Shapira.

	This file is part of the Ntuplib library.

	Ntuplib is free software; you can redistribute it and/or modify
	it under the terms of the GNU General Public License as published by
	the Free Software Foundation; either version 2 of the License, or
	(at your option) any later version.

	Ntuplib is distributed in the hope that it will be useful,
	but WITHOUT ANY WARRANTY; without even the implied warranty of
	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
	GNU General Public License for more details.

	You should have received a copy of the GNU General Public License
	along with the Ntuplib Library; if not, write to the Free Software
	Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
*/

#ifndef _020992_124109_io
#define _020992_124109_io

#include "common.h"

/*  Number of columns on output device (must be at least 30 or so ) */
#define OUTPUT_COLUMNS    79  /* some people find 80th column disconcerting */


int   fieldlen P((int));
void  spaces_print P((FILE *, int));
int   list_print P((
  FILE *, const void * const, const int , const int , const int , const int ,
  const int, const int, const int, const int, void *,
  int (*) P((const void *, const void *, const int)),
  int (*) P((const void *, const void *, const void *))));
int   list_int_print P((const void *, const void *, const int));
int   list_u_print P((const void *, const void *, const int));
int   list_uchar_print P((const void *, const void *, const int));
int   list_int_compare P((const void *, const void *, const void *));
int   list_u_compare P((const void *, const void *, const void *));
int   list_uchar_compare P((const void *, const void *, const void *));
void  bit_u_print P(( FILE *, unsigned int ));

void  our_strtol P(( const char *, char **, const int, int *, long * ));
void  our_atol P(( const char *, int *, long * ));
void  our_atoi P(( const char *, int *, int * ));
int   itob P((const int, char *));

#endif /* _020992_124109_io */
